"""

Revision ID: 0001
Revises:

"""

from alembic import op
import sqlalchemy_utils
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "0001"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "table_users",
        sa.Column("display_name", sa.String(), nullable=False),
        sa.Column(
            "email",
            sqlalchemy_utils.types.email.EmailType(length=255),
            nullable=False,
        ),
        sa.Column("phone", sa.String(), nullable=False),
        sa.Column(
            "password",
            sqlalchemy_utils.types.password.PasswordType(max_length=1024),
            nullable=True,
        ),
        sa.Column("is_email_verified", sa.Boolean(), nullable=False),
        sa.Column("is_phone_verified", sa.Boolean(), nullable=False),
        sa.Column("image", sa.String(length=200), nullable=False),
        sa.Column("is_superuser", sa.Boolean(), nullable=False),
        sa.Column(
            "id", sa.BigInteger(), sa.Identity(always=True), nullable=False
        ),
        sa.Column(
            "created_at",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=False,
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_table_users")),
        sa.UniqueConstraint("email", name=op.f("uq_table_users_email")),
        sa.UniqueConstraint("phone", name=op.f("uq_table_users_phone")),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("table_users")
    # ### end Alembic commands ###
